<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateModelAttributesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('model_attributes', function (Blueprint $table) {
            $table->increments('id');
            $table->unsignedInteger('model_id')->index();
            $table->unsignedInteger('schema_id');
            $table->text('value')->nullable();
            $table->timestamps();

            $table
                ->foreign('schema_id')
                ->on('model_attributes_schema')
                ->references('id')
                ->onDelete('cascade')
                ->onUpdate('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('model_attributes');
    }
}
