<?php

namespace Drp\DynamicAttributes;

use Drp\DynamicAttributes\Console\Commands\DynamicSchemaCommand;
use Illuminate\Support\ServiceProvider;

class DynamicAttributesServiceProvider extends ServiceProvider
{
    /**
     * Perform post-registration booting of services.
     *
     * @return void
     */
    public function boot()
    {
        $this->publishes(
            [
            __DIR__ . '/../migrations/' => database_path('/migrations'),
            ],
            'migrations'
        );
    }

    /**
     * Register any package services.
     *
     * @return void
     */
    public function register()
    {
        $this->commands([DynamicSchemaCommand::class]);
    }
}
